
var data = [];
var error = '';
var img_status = [];

var activity_id=getURL("activity_id");
// 渲染img图
function getImg(src, index) {
	var tImg = new Image();
	tImg.onload = function() {
		img_status[index] = 1;
	};
	
	tImg.src = src; 
	tImg.style.display="none";
	tImg.setAttribute("id",'gift'+ index)
	img_status[index] = 0;
	$('.imgs').append(tImg);
}

// 判断渲染是否完成
function OnComplete (func) {
   var FInter = setInterval(function(){
	   var flag = 1 ; 
	   for(var i in img_status) {
			if (img_status[i] == 0) {
				flag = 0;
				break;
			}
	   }
	   if (flag == 1) {
			console.log('clear')
			clearInterval(FInter);
			func();
	   }
	  
   },1);
}


// 获取奖品列表和抽奖
function getList() {
	var token = (is_wexin() ? getCookie('token') : getToken()) || '';
	if(token==''){
		console.log("回登录")
		delCookie('token')
		//dialog(true,"登录过期，请重新登录");
		setTimeout(function(){
			window.location.href = '../index.html'
		},2000)
		return
	}

	$.ajax({
		type: "POST",
		url:  baseUrl+'/api/buy/acttrophylist',
		headers: {
			'token':token,
		},
		data: {"activity_id":activity_id},
		success: function(res){

			//var res =  JSON.parse(res);
			console.log(res.data)
			error = res.err;
			console.log(error)
			if(res.err == 2) {
				delCookie('token')
				//dialog(true,"登录过期，请重新登录");
				setTimeout(function(){
					window.location.href = '../index.html'
				},2000)
				return
			}


			if(res.err == 0){
				data = res.data;
				if(data == ''){
					turnplate.restaraunts = ["1","2","3","4","5","6","7","8","9"];

				}
			}else {
				turnplate.restaraunts = ["1","2","3","4","5","6","7","8","9"];
				dialog(true,res.msg);
			}
			console.log(res.data)
			var html = '';
			$.each(data,function(index,value){
				
				turnplate.ids.push(value.id);
				turnplate.restaraunts.push(value.name);
				turnplate.imgs.push(value.img)
			})
			console.log(turnplate);
            OnComplete(function() {
				drawRouletteWheel();
			})

			for(var i = 0; i<turnplate.imgs.length;i++){
				getImg(turnplate.imgs[i], (i+1));

			}

			console.log('渲染成功')

			console.log(turnplate.ids);
			console.log(turnplate.restaraunts)

			//动态添加大转盘的奖品与奖品区域背景颜色
			// var ids= [10,30,40,50];
			// turnplate.restaraunts = [];
			turnplate.colors = ["#fff68b", "#fbf061","#ffde42","#fff68b", "#fbf061","#ffde42","#fff68b", "#fbf061","#ffde42"];
			// turnplate.colors = ["#f4ad2f", "#6dd6e0","#fffcc6","#f4ad2f", "#6dd6e0","#fffcc6","#f4ad2f", "#6dd6e0","#fffcc6"];



			var rotateTimeOut = function () {
				$('#wheelcanvas').rotate({
					angle: 0,
					animateTo: 2160,
					duration: 10000,
					callback: function () {
						alert('网络超时，请检查您的网络设置！');
					}
				});
			};
			var $btn = $('.playbtn');
			var playnum = res.lottery; //初始次数，由后台传入res.lottery
			$('.playnum').html(playnum);
			var isture = 0;
			$btn.click(function () {

				if (isture) return; // 如果在执行就退出
				isture = true; // 标志为 在执行

				//先判断是否登录,未登录则执行下面的函数
				// if (1 == 2) {
				// 	$('.playnum').html('0');
				// 	alert("请先登录");
				// 	isture = false;
				// } else { //登录了就执行下面
					console.log("click:btn:"+playnum);
					if (playnum <= 0) { //当抽奖次数为0的时候执行
						dialog(true,"抽奖卡不足");
						$('.playnum').html(0);
						isture = false;
						$('#wheelcanvas').stopRotate();
					}else if(error != 0 || data.length == 0){
						isture = false;
						// alert(res.msg);
						dialog(true,res.msg)
					} else { //还有次数就执行
						playnum = playnum - 1; //执行转盘了则次数减1
						if (playnum <= 0) {
							playnum = 0;
						}
						$('.playnum').html(playnum);

						$.ajax({
							type: "POST",
							data: {"activity_id":activity_id},
							url:  baseUrl+'/api/buy/trophyjoin',
							headers: {
								'token':token,
							},
							success: function(ress){
								console.log(ress);
								if(ress.err == 2) {
									delCookie('token')
									//dialog(true,"登录过期，请重新登录");
									setTimeout(function(){
										window.location.href = '../index.html'
									},2000)
									return
								}
								if(ress.err == 0){
									var lotteryid = ress.id;
									var index =-1;
									for(var k in turnplate.ids) {
										if(turnplate.ids[k]==lotteryid){
											console.log(turnplate.ids[k])
											index=parseInt(k);
										}
									}
									console.log(index);
									//console.log(lotteryid);

									if (index != -1) {
										var typ=ress.type
										var item = index + 1;
										console.log(item)
										rotateFn(item, turnplate.restaraunts[item - 1],ress.hash,typ);

									} else {
										// alert("系统错误")
										dialog(true,"系统错误")
									}
								}else {
									// alert(ress.msg)
									dialog(true,ress.msg)
								}


							}
						})

					}
				}
			// }
			);
			//旋转转盘 item:奖品位置; txt：提示语;
			var rotateFn = function (item, txt, hash,typ) {
				console.log('开始转')
				var angles = item * (360 / turnplate.restaraunts.length) - (360 / (turnplate.restaraunts.length * 2));
				if (angles < 270) {
					angles = 270 - angles;
				} else {
					angles = 360 - angles + 270;
				}
				$('#wheelcanvas').stopRotate();
				$('#wheelcanvas').rotate({
					angle: 0,
					animateTo: angles + 1800,
					duration: 10000,
					callback: function () { //回调
						isture = false; // 标志为 执行完毕
						// 提示中的奖品
						if(typ==3){
							dialog(true,txt);
						}else{
							title(txt,hash);
						}

						// 重置中奖榜单
						getReport();

					}
				});
			};

			//页面所有元素加载完毕后执行drawRouletteWheel()方法对转盘进行渲染
			// drawRouletteWheel();

		}
	})
}

// 获取中将日志
function getLog(){
	var token = (is_wexin() ? getCookie('token') : getToken()) || '';

	$.ajax({
		type: "POST",
		url:  baseUrl+'/api/buy/acttrophylog',
		data: {"activity_id":activity_id},
		headers: {
			'token':token,
		},
		success: function(res){
			if(res.err == 2) {
				delCookie('token')
				//dialog(true,"登录过期，请重新登录");
				setTimeout(function(){
					window.location.href = '../index.html'
				},2000)
				return
			}
			console.log(res);
			var data = res.data;
			var template = '<li class="head"><div class="left">奖项</div><div class="center">时间</div><div class="right">sn</div></li>';
			for(var i = 0; i<data.length; i++){
				var time = data[i].create_time.substring(6,16);
				template += '<li><div class="left">'+ data[i].wingoods +'</div><div class="center">'+ time +'</div><div class="right blur">'+data[i].sn+'</div></li>'
			}

			$('.editInfos').empty().append(template);

		}
	})
}

// 中奖榜单
function getReport(){

	var token = (is_wexin() ? getCookie('token') : getToken()) || '';

	$.ajax({
		type: "POST",
		url: baseUrl + "/api/buy/trophytoplist",
		data: {"activity_id":activity_id},
		headers: {
			'token':token,
		},
		success:function(res){
			if(res.err == 2) {
				delCookie('token')
				//dialog(true,"登录过期，请重新登录");
				setTimeout(function(){
					window.location.href = '../index.html'
				},2000)
				return
			}
			console.log(res);
			var data = res.data;
			var template = '';
			for(var i = 0; i< data.length; i++){
				template += "<li>恭喜 "+ data[i].nickname +" 抽中"+ data[i].wingoods +"</li>"
			}
			$("#news ul").append(template);
		}
	})
}


